self: super:
with super.pkgs.lib.nix-rice;
let theme = kitty-themes.getThemeByName "OneDark";
in {
  rice = {
    colorPalette = rec {
      normal = palette.defaultPalette // {
        background = {
          a = 1.0;
          r = 0;
          g = 0;
          b = 0;
        };
        black = theme.color0;
        red = theme.color1;
        green = theme.color2;
        yellow = theme.color3;
        blue = theme.color4;
        magenta = {
          a = 1.0;
          r = 198;
          g = 120;
          b = 221;
        };
        cyan = theme.color6;
        white = theme.color7;
        border = {
          a = 0.75;
          r = 198;
          g = 120;
          b = 221;
        };
      };
      bright = palette.brighten 10 normal // {
        background = {
          a = 1.0;
          r = 5;
          g = 5;
          b = 5;
        };
        black = theme.color8;
        red = theme.color9;
        green = theme.color10;
        yellow = theme.color11;
        blue = theme.color12;
        magenta = {
          a = 1.0;
          r = 198;
          g = 120;
          b = 221;
        };
        cyan = theme.color14;
        white = theme.color15;
      };
      dark = palette.darken 10 normal;
    } // theme;
    font = {
      monospace = {
        name = "JetBrainsMono Nerd Font";
        package = self.nerdfonts.override { fonts = [ "Jetbrains-Mono" ]; };
        size = 12;
      };
      normal = {
        name = "JetBrainsMono Nerd Font";
        package = self.nerdfonts.override { fonts = [ "Jetbrains-Mono" ]; };
        size = 12;
      };
    };
    cursor = {
      package = super.pkgs.bibata-cursors;
      name = "Bibata-Modern-Classic";
    };
    corner-radius = 8.0;
    border-width = 2;
  };
}
